# JSXGraph Reference

## JavaScript must be enabled in order for you to use JSXGraph and JSXGraph reference. However, it seems JavaScript is either disabled or not supported by your browser.

Class Index | File Index

## Elements

- Angle
- Arc
- Arrow
- Arrowparallel
- Axis
- Bisector
- Bisectorlines
- Circle
- Circumcenter
- Circumcircle
- CircumcircleArc
- Circumcirclesector
- Conic
- Curve
- Ellipse
- Functiongraph
- Glider
- Grid
- Hyperbola
- Image
- Incenter
- Incircle
- Integral
- Intersection
- Line
- Locus
- Midpoint
- Mirrorpoint
- Normal
- Orthogonalprojection
- OtherIntersection
- Parabola
- Parallel
- Parallelpoint
- Perpendicular
- Perpendicularpoint
- Point
- Polygon
- Reflection
- RegularPolygon
- Riemannsum
- Sector
- Segment
- Semicircle
- Slider
- Tangent
- Text
- Ticks
- Tracecurve

## Classes

- _global_
- JXG
- JXG.AbstractRenderer
- JXG.Board
- JXG.C
- JXG.CanvasRenderer
- JXG.Circle
- JXG.Complex
- JXG.Composition
- JXG.Coords
- JXG.Curve
- JXG.Dump
- JXG.GeometryElement
- JXG.GeonextParser
- JXG.Group
- JXG.Image
- JXG.JessieCode
- JXG.JSXGraph
- JXG.Line
- JXG.Math
- JXG.Math.Geometry
- JXG.Math.Numerics
- JXG.Math.Poly
- JXG.Math.Poly.Monomial
- JXG.Math.Poly.Polynomial
- JXG.Math.Poly.Ring
- JXG.Math.Statistics
- JXG.Math.Symbolic
- JXG.Point
- JXG.Polygon
- JXG.Server
- JXG.Server.modules
- JXG.SVGRenderer
- JXG.Text
- JXG.Ticks
- JXG.Turtle
- JXG.Util
- JXG.VMLRenderer

# Element Functiongraph

JXG.GeometryElement
↳ JXG.Curve
↳ Functiongraph

This element is used to provide a constructor for functiongraph, which is just a wrapper for element Curve with JXG.Curve#X() set to x. The graph is drawn for x in the interval [a,b].
Defined in: Curve.js.
Extends JXG.Curve.

Element Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Functiongraph

Element Detail
Functiongraph

This element has no direct constructor. To create an instance of this element you have to call JXG.Board#create with type "functiongraph".
Possible parent array combinations are:
{function} f
{number|function} a Optional
{number|function} b Optional
  Parent elements are a function term f(x) describing the function graph.

  Further, an optional number or function for the left interval border a, and an optional number or function for the right interval border b.

  Default values are a=-10 and b=10.

See:
  JXG.Curve

Examples:

    // Create a function graph for f(x) = 0.5*x*x-2*x
      var graph = board.create('functiongraph',
                           [function(x){ return 0.5*x*x-2*x;}, -2, 4]
                        );

    // Create a function graph for f(x) = 0.5*x*x-2*x with variable interval
      var s = board.create('slider',[[0,4],[3,4],[-2,4,5]]);
      var graph = board.create('functiongraph',
                           [function(x){ return 0.5*x*x-2*x;},
                            -2,
                            function(){return s.Value();}]
                        );

Attributes borrowed from other Elements

Attributes borrowed from class JXG.Curve:
  curveType, handDrawing
Attributes borrowed from class JXG.GeometryElement:
  dash, draft, fillColor, fillOpacity, fixed, frozen, highlight, highlightFillColor, highlightFillOpacity, highlightStrokeColor, highlightStrokeOpacity, highlightStrokeWidth, needsRegularUpdate, shadow, strokeColor, strokeOpacity, strokeWidth, trace, traceAttributes, visible, withLabel

Fields borrowed from other Elements

Fields borrowed from class JXG.Curve:
  numberPoints
Fields borrowed from class JXG.GeometryElement:
  addEvent, ancestors, baseElement, board, childElements, descendants, dump, elementClass, elType, eventHandlers, getAttribute, hasLabel, highlighted, id, isDraggable, isReal, methodMap, mouseover, name, needsUpdate, notExistingParents, numTraces, quadraticform, removeEvent, stdform, subs, symbolic, traces, transformations, type, visProp

Methods borrowed from other Elements

Methods borrowed from class JXG.Curve:
  addTransform, allocatePoints, generateTerm, hasPoint, isDistOK, isSegmentOutside, maxX, minX, notifyParents, setPosition, update, updateCurve, updateDataArray, updateParametricCurve, updateParametricCurveNaive, updateRenderer, updateTransform, X, Y, Z
Methods borrowed from class JXG.GeometryElement:
  _set, addChild, addDescendants, animate, bounds, clearTrace, cloneToBackground, countChildren, createGradient, createLabel, draggable, generatePolynomial, getAttributes, getLabelAnchor, getName, getParents, getProperty, getTextAnchor, getType, hideElement, labelColor, noHighlight, normalize, off, on, prepareUpdate, remove, resolveShortcuts, setArrow, setAttribute, setDash, setLabelText, setProperty, setStraight, showElement, triggerEventHandlers

Documentation generated by JsDoc Toolkit 2.4.0 on Mon Apr 02 2012 17:54:01 GMT+0200 (MESZ)